#pragma once


//    
const int NUMBERRECORDHOLDERS = 10;


//    .
struct DATAPLAYER
{
public:
	DATAPLAYER(){sec = 0; ZeroMemory(playername, 12*sizeof(TCHAR));}

	//   
	void SetPlayerName(CString name)
	{
		ZeroMemory(playername, 12*sizeof(TCHAR));
		memcpy(playername, name.GetBuffer(), 12*sizeof(TCHAR));
	}

	//         CString
	CString GetPlayerName()
	{
		return CString(playername);
	}

	//     ,
	//      
	//  , , .
	CString GetTime()
	{
		CString s;
		CTimeSpan temp(sec);
		return temp.Format("%H:%M:%S");
	}

	DWORD sec;
	
private:
	TCHAR playername[12];
};


//      
//    .
class CShowDataPlayers
{
public:
	CShowDataPlayers(void);
	~CShowDataPlayers(void);


	HRESULT Init3DFont(LPDIRECT3DDEVICE9 pd3dDevice);
	HRESULT Render(LPDIRECT3DDEVICE9 pd3dDevice, int x, int y);
	HRESULT Invalidate(void);
	HRESULT Restore(void);
	void SetColorFont(void);
	void DataToRegistry(HKEY hKey);
	void DataFromRegistry(HKEY hKey);
	void WriteRecordHolder(void);
	void DeleteListRecordHolders(void);
	
	//         ,
	//  .
	void StartGame()
	{
		m_ModeGame = true;
		m_Player.sec = 0;
		m_StartTime = true;
	}

	//     ,
	//  .
	void StopGame()
	{
		m_StartTime = false;
		m_ModeGame = false;
	}

	DATAPLAYER	 m_Player;
	BOOL m_ShowNameStopWatch;
	BOOL m_ShowListRecordHolders;

private:
	LPD3DXFONT m_p3DFont;
	D3DCOLOR m_Color;
	
	DATAPLAYER	 m_RecordHolders[NUMBERRECORDHOLDERS];
	void SortRecordHolders(DATAPLAYER newrecordholder);
	bool m_StartTime;
	//  true    , 
	//     . 
	bool m_ModeGame;
	
};
